package com.yxproject.start.entity;

import javax.persistence.*;
import java.util.Objects;

@Entity
@Table(name = "GAJG_DM", schema = "POST", catalog = "")
public class GajgDmEntity {
    private String gajgId;
    private String gajgDm;
    private String gajgMc;
    private String gajgMcPyt;
    private String gajgMcWbt;
    private String gajgJc;
    private String sjGajgDm;
    private String xzqhDm;
    private String yxws;
    private String jcdm;
    private String yxbz;
    private String xzqhMc;

    @Basic
    @Column(name = "GAJG_ID")
    public String getGajgId() {
        return gajgId;
    }

    public void setGajgId(String gajgId) {
        this.gajgId = gajgId;
    }

    @Id
    @Column(name = "GAJG_DM")
    public String getGajgDm() {
        return gajgDm;
    }

    public void setGajgDm(String gajgDm) {
        this.gajgDm = gajgDm;
    }

    @Basic
    @Column(name = "GAJG_MC")
    public String getGajgMc() {
        return gajgMc;
    }

    public void setGajgMc(String gajgMc) {
        this.gajgMc = gajgMc;
    }

    @Basic
    @Column(name = "GAJG_MC_PYT")
    public String getGajgMcPyt() {
        return gajgMcPyt;
    }

    public void setGajgMcPyt(String gajgMcPyt) {
        this.gajgMcPyt = gajgMcPyt;
    }

    @Basic
    @Column(name = "GAJG_MC_WBT")
    public String getGajgMcWbt() {
        return gajgMcWbt;
    }

    public void setGajgMcWbt(String gajgMcWbt) {
        this.gajgMcWbt = gajgMcWbt;
    }

    @Basic
    @Column(name = "GAJG_JC")
    public String getGajgJc() {
        return gajgJc;
    }

    public void setGajgJc(String gajgJc) {
        this.gajgJc = gajgJc;
    }

    @Basic
    @Column(name = "SJ_GAJG_DM")
    public String getSjGajgDm() {
        return sjGajgDm;
    }

    public void setSjGajgDm(String sjGajgDm) {
        this.sjGajgDm = sjGajgDm;
    }

    @Basic
    @Column(name = "XZQH_DM")
    public String getXzqhDm() {
        return xzqhDm;
    }

    public void setXzqhDm(String xzqhDm) {
        this.xzqhDm = xzqhDm;
    }

    @Basic
    @Column(name = "YXWS")
    public String getYxws() {
        return yxws;
    }

    public void setYxws(String yxws) {
        this.yxws = yxws;
    }

    @Basic
    @Column(name = "JCDM")
    public String getJcdm() {
        return jcdm;
    }

    public void setJcdm(String jcdm) {
        this.jcdm = jcdm;
    }

    @Basic
    @Column(name = "YXBZ")
    public String getYxbz() {
        return yxbz;
    }

    public void setYxbz(String yxbz) {
        this.yxbz = yxbz;
    }

    @Basic
    @Column(name = "XZQH_MC")
    public String getXzqhMc() {
        return xzqhMc;
    }

    public void setXzqhMc(String xzqhMc) {
        this.xzqhMc = xzqhMc;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        GajgDmEntity that = (GajgDmEntity) o;
        return Objects.equals(gajgId, that.gajgId) &&
                Objects.equals(gajgDm, that.gajgDm) &&
                Objects.equals(gajgMc, that.gajgMc) &&
                Objects.equals(gajgMcPyt, that.gajgMcPyt) &&
                Objects.equals(gajgMcWbt, that.gajgMcWbt) &&
                Objects.equals(gajgJc, that.gajgJc) &&
                Objects.equals(sjGajgDm, that.sjGajgDm) &&
                Objects.equals(xzqhDm, that.xzqhDm) &&
                Objects.equals(yxws, that.yxws) &&
                Objects.equals(jcdm, that.jcdm) &&
                Objects.equals(yxbz, that.yxbz) &&
                Objects.equals(xzqhMc, that.xzqhMc);
    }

    @Override
    public int hashCode() {
        return Objects.hash(gajgId, gajgDm, gajgMc, gajgMcPyt, gajgMcWbt, gajgJc, sjGajgDm, xzqhDm, yxws, jcdm, yxbz, xzqhMc);
    }
}
